Bug 221205 - Missing Theater 550 Pro chip definition
Missing Theater 550 Pro chip definition
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2007-01-02 17:44 EST by Bill Case
Modified: 2008-01-14 09:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-14 09:11:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Case 2007-01-02 17:44:21 EST
Description of problem:
lspci returns "Multimedia controller: ATI Technologies Inc Unknown
device 4d52" The unknown device is an ATI TV Wonder 550 TV tuner card using a
Theater 550 Pro chip -- so ATI *seems* to say.

hwdata contains no such device definition.

There may be no drivers applicable to the Theater 550 pro for Linux

Version-Release number of selected component (if applicable):
latest Fedora Core 6 release/update

How reproducible:
Every boot

Steps to Reproduce:

Actual results:
no /dev/video0 or /dev/radio (for FM) produced

Expected results:

TV using tvtimes would work

Additional info:

Have had a lot of Fedora mailing list help, but nothing that solves the problem
and nothing that conclusively defines the problem.
Comment 1 Karsten Hopp 2007-07-10 07:12:45 EDT
The pci.ids file will be pulled from upstream, so please make sure that the
relevant devices are in the upstream repository found at:


Please change status back to ASSIGNED when that's done, thanks !
Comment 2 Bill Case 2007-07-20 10:55:15 EDT
Looked up "ATI TV Wonder 550" at  http://pciids.sourceforge.net/.  Could find no
definition under ATI, AMD, TV Wonder, Theater 550 or any combination of those names.

Of course, that was part of the original problem.

I didn't know where to go or what to do from that point on.
Comment 3 Karsten Hopp 2007-07-24 04:39:12 EDT
http://pciids.sourceforge.net/ has a detailled description how to submeit new
Go to http://pci-ids.ucw.cz/iii/ , press 'New entry' and submit your pci-id:
>but please submit only accurate information – descriptions like 
>"unknown modem device" are only of a little use to anybody. Real chip names 
>and numbers are preferred over marketing names, in case you know both, please
>enclose the marketing name in square brackets like in "3c595 100BaseTX [Vortex]". 
>Please avoid repeating vendor names in device or subsystem names.

Please change state to 'ASSIGNED' when you're done so that I know when to look
out for an updated pci.ids file.
Comment 4 Bill Case 2007-07-24 09:26:56 EDT
4d52 THEATER 550 PRO PCI [ATI TV Wonder 550] has been added to the
http://pci-ids.ucw.cz/iii/  list.
Comment 5 Bill Case 2007-12-23 10:29:18 EST
At the risk of offending someone ... but this bug is important to me. Is this
issue dead?  Is there some new information required or can be given to me?
Comment 6 Karsten Hopp 2008-01-14 09:11:02 EST
Please use the latest hwdata package from Rawhide, it should install just fine
on FC-7.

Note You need to log in before you can comment on or make changes to this bug.